Расширение TreeMap в Kotlin не работает

Не уверен, что это ошибка, или у меня проблема с моей реализацией в Котлине.

Я расширил TreeMap:

class TargetTreeMap : TreeMap<String, Target>(String.CASE_INSENSITIVE_ORDER) {...) 

После запуска lint я получаю ошибки NewApi в моем классе:

13: Call requires API level 24 (current min is 19): java.util.TreeMap#getOrDefault

13: Call requires API level 24 (current min is 19): java.util.TreeMap#remove

EDIT: Я забыл упомянуть, что я не использую эти методы в своей реализации.